Subject: bug#4837: with-fewer-warnings ?

From: Richard Stallman <[email-masked]>
Date: Sat, 31 Oct 2009 22:31:19 -0400

Eg (with-fewer-warnings '(obsolete cl-functions) ...)

    would not warn about obsolete things or cl-functions in the body. The
    possible arguments are the members of byte-compile-warnings.

    I can implement this if it is considered worth it (it's very similar
    to with-no-warnings).

I think it isn't worth doing, because it would only gain you very much
if you put a lot of code inside with-no-warnings; we avoid doing that.